
%global xfceversion 4.18

%global namespc Garcon

Name:           garcon
Version:        4.18.1
Release:        2%{?dist}
Summary:        Implementation of the freedesktop.org menu specification

License:        LGPLv2+ and GFDL
URL:            http://xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
Source1:        xfce-documentation.directory

BuildRequires:  pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:  pkgconfig(libxfce4util-1.0) >= %{xfceversion}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{xfceversion}
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gthread-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  make

Conflicts:      xfdesktop <= 4.6.2

%description
Garcon is an implementation of the freedesktop.org menu specification replacing
the former Xfce menu library libxfce4menu. It is based on GLib/GIO only and 
aims at covering the entire specification except for legacy menus.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc

%make_build


%install
%make_install

chmod 755 %{buildroot}/%{_libdir}/*.so

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}
install -pm 644 %{SOURCE1} %{buildroot}%{_datadir}/desktop-directories

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/%{namespc}*
%{_datadir}/icons/hicolor/32x32/apps/org.xfce.garcon.png
%{_datadir}/gir-1.0/%{namespc}*
%{_datadir}/desktop-directories/*.directory

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/

%changelog
* Wed May 08 2024 Doris Chao <doriscchao@tencent.com> - 4.18.1-2
- debrand for opencloudos

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.1-1
- initial build
